---
title: pydo.certificates.get()
description: Retrieve an Existing Certificate
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/certificates/get/
last_updated: "2026-10-01"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.certificates.get()

Generated on 1 Oct 2026 from `pydo` version [`v0.43.0`](https://github.com/digitalocean/pydo/releases/tag/v0.43.0v0.43.0)

## Usage

```python
client.certificates.get(certificate_id="4de7ac8b-495b-4884-9a69-1050c6793cd6")
```

Returns `JSON`Raises `HttpResponseError`

## Description

To show information about an existing certificate, send a GET request to [`/v2/certificates/{certificate_id}`](https://docs.digitalocean.com/reference/api/reference/certificates/index.html.md#certificates_get).

## Parameters

`certificate_id` string required

A unique identifier for a certificate.

Min: `1`

## Request Sample

## Show Request Sample

```python
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.certificates.get(
    certificate_id="892071a0-bb95-49bc-8021-3afd67a210bf"
)
```

## Response Example

## Show Response Example

```json
{
  "certificate": {
    "id": "892071a0-bb95-49bc-8021-3afd67a210bf",
    "name": "web-cert-01",
    "not_after": "2017-02-22T00:23:00Z",
    "sha1_fingerprint": "dfcc9f57d86bf58e321c2c6c31c7a971be244ac7",
    "created_at": "2017-02-08T16:02:37Z",
    "dns_names": [
      ""
    ],
    "state": "verified",
    "type": "custom"
  }
}
```

## More Information

See [`/v2/certificates/{certificate_id}`](https://docs.digitalocean.com/reference/api/reference/certificates/index.html.md#certificates_get) in the API reference for additional detail on responses, headers, parameters, and more.